curl -X PATCH "https://api.scanova.io/qr-assets/conditional-redirect-template/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "template_name": "Location-based redirect (EU added)" }'
{
"id": 3,
"template_name": "Location-based redirect (EU added)",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-08T09:00:00Z"
}
QR 资源
更新条件跳转模板
PATCH /qr-assets/conditional-redirect-template//
PATCH
/
qr-assets
/
conditional-redirect-template
/
{pk}
/
curl -X PATCH "https://api.scanova.io/qr-assets/conditional-redirect-template/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "template_name": "Location-based redirect (EU added)" }'
{
"id": 3,
"template_name": "Location-based redirect (EU added)",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-08T09:00:00Z"
}
在 Management API 主机(
同时支持
更新
api.scanova.io)上更新账户拥有的条件跳转模板,使用您的原始 Management API 密钥进行身份验证。
PUT https://api.scanova.io/qr-assets/conditional-redirect-template/{pk}/
PATCH https://api.scanova.io/qr-assets/conditional-redirect-template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
必填
模板的
id。PUT 和 PATCH,二者接受与创建条件跳转模板中记录相同的 template_name/data 字段。
curl -X PATCH "https://api.scanova.io/qr-assets/conditional-redirect-template/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "template_name": "Location-based redirect (EU added)" }'
{
"id": 3,
"template_name": "Location-based redirect (EU added)",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-08T09:00:00Z"
}
data 会替换整个条件组数组——没有端点可以单独修改某个条件,因此请连同您的更改一起发送完整数组。如果 pk 不是该账户拥有的模板,则返回 404。
相关内容
- 获取条件跳转模板——更新前先查看。
- 创建条件跳转模板——此更新复用的字段参考。
- 删除条件跳转模板——将其彻底删除。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Template updated.
此页面对您有帮助吗?